require "mongoid"
require "resque"
require "active_support"

require "actionable/version"

require "actionable/memory_store"
require "actionable/memory_store/action"

require "actionable/mongoid_store"
require "actionable/mongoid_store/action"

require "actionable/target"
require "actionable/sweep"
require "actionable/job"
require "actionable/recurrence"


module Actionable
  def self.store
    self.const_get(store_name)
  end

  def self.set_store(name)
    @store_name = name
  end

  def self.store_name
    @store_name ||= "MongoidStore"
  end

  Action = SimpleDelegator.new(MongoidStore::Action)

end
