module Actionable
  class Sweep

    @queue = 'actionable_sweep'

    def self.queue
      @queue
    end

    def self.perform
      Actionable::Recurrence.all.each(&:ensure_scheduled)
      Actionable::Action.to_do.each(&:enqueue)
    rescue => e
      logger.error("Actionable sweep failed with #{Thread.list.count} threads active")
      raise e
    end

    def self.logger
      defined?(Rails) ? Rails.logger : Logger.new(STDOUT)
    end

  end

end